Add tag to people batch
curl --request PATCH \
--url https://api.messaging.phonovation.com/people/2/tags/{name}/persons \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"people": [
{
"query": {
"type": "PHONE",
"identifier": "353861234579"
}
},
{
"query": {
"type": "EMAIL",
"identifier": "johnwilliams@acme.com"
}
},
{
"query": {
"type": "EXTERNAL_ID",
"identifier": "123"
}
}
]
}
'import requests
url = "https://api.messaging.phonovation.com/people/2/tags/{name}/persons"
payload = { "people": [{ "query": {
"type": "PHONE",
"identifier": "353861234579"
} }, { "query": {
"type": "EMAIL",
"identifier": "johnwilliams@acme.com"
} }, { "query": {
"type": "EXTERNAL_ID",
"identifier": "123"
} }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/tags/{name}/persons");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"people\": [\n {\n \"query\": {\n \"type\": \"PHONE\",\n \"identifier\": \"353861234579\"\n }\n },\n {\n \"query\": {\n \"type\": \"EMAIL\",\n \"identifier\": \"johnwilliams@acme.com\"\n }\n },\n {\n \"query\": {\n \"type\": \"EXTERNAL_ID\",\n \"identifier\": \"123\"\n }\n }\n ]\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/people/2/tags/{name}/persons")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"people\": [\n {\n \"query\": {\n \"type\": \"PHONE\",\n \"identifier\": \"353861234579\"\n }\n },\n {\n \"query\": {\n \"type\": \"EMAIL\",\n \"identifier\": \"johnwilliams@acme.com\"\n }\n },\n {\n \"query\": {\n \"type\": \"EXTERNAL_ID\",\n \"identifier\": \"123\"\n }\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/tags/{name}/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'people' => [
[
'query' => [
'type' => 'PHONE',
'identifier' => '353861234579'
]
],
[
'query' => [
'type' => 'EMAIL',
'identifier' => 'johnwilliams@acme.com'
]
],
[
'query' => [
'type' => 'EXTERNAL_ID',
'identifier' => '123'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
people: [
{query: {type: 'PHONE', identifier: '353861234579'}},
{query: {type: 'EMAIL', identifier: 'johnwilliams@acme.com'}},
{query: {type: 'EXTERNAL_ID', identifier: '123'}}
]
})
};
fetch('https://api.messaging.phonovation.com/people/2/tags/{name}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Not found"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "<string>",
"text": "<string>"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "<string>",
"text": "<string>"
}
}
}customer-engagement
Add tag to people batch
This method allows you to assign tag to multiple people.<br>**NOTE** Array size of the batch add request is limited to `1000` people.
**Required scope:** Enable one of: `people:manage`.
PATCH
/
people
/
2
/
tags
/
{name}
/
persons
Add tag to people batch
curl --request PATCH \
--url https://api.messaging.phonovation.com/people/2/tags/{name}/persons \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"people": [
{
"query": {
"type": "PHONE",
"identifier": "353861234579"
}
},
{
"query": {
"type": "EMAIL",
"identifier": "johnwilliams@acme.com"
}
},
{
"query": {
"type": "EXTERNAL_ID",
"identifier": "123"
}
}
]
}
'import requests
url = "https://api.messaging.phonovation.com/people/2/tags/{name}/persons"
payload = { "people": [{ "query": {
"type": "PHONE",
"identifier": "353861234579"
} }, { "query": {
"type": "EMAIL",
"identifier": "johnwilliams@acme.com"
} }, { "query": {
"type": "EXTERNAL_ID",
"identifier": "123"
} }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/tags/{name}/persons");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
request.AddJsonBody("{\n \"people\": [\n {\n \"query\": {\n \"type\": \"PHONE\",\n \"identifier\": \"353861234579\"\n }\n },\n {\n \"query\": {\n \"type\": \"EMAIL\",\n \"identifier\": \"johnwilliams@acme.com\"\n }\n },\n {\n \"query\": {\n \"type\": \"EXTERNAL_ID\",\n \"identifier\": \"123\"\n }\n }\n ]\n}", false);
var response = await client.PatchAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.patch("https://api.messaging.phonovation.com/people/2/tags/{name}/persons")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"people\": [\n {\n \"query\": {\n \"type\": \"PHONE\",\n \"identifier\": \"353861234579\"\n }\n },\n {\n \"query\": {\n \"type\": \"EMAIL\",\n \"identifier\": \"johnwilliams@acme.com\"\n }\n },\n {\n \"query\": {\n \"type\": \"EXTERNAL_ID\",\n \"identifier\": \"123\"\n }\n }\n ]\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/tags/{name}/persons",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'people' => [
[
'query' => [
'type' => 'PHONE',
'identifier' => '353861234579'
]
],
[
'query' => [
'type' => 'EMAIL',
'identifier' => 'johnwilliams@acme.com'
]
],
[
'query' => [
'type' => 'EXTERNAL_ID',
'identifier' => '123'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
people: [
{query: {type: 'PHONE', identifier: '353861234579'}},
{query: {type: 'EMAIL', identifier: 'johnwilliams@acme.com'}},
{query: {type: 'EXTERNAL_ID', identifier: '123'}}
]
})
};
fetch('https://api.messaging.phonovation.com/people/2/tags/{name}/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"requestError": {
"serviceException": {
"messageId": "BAD_REQUEST",
"text": "Bad request"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "UNAUTHORIZED",
"text": "Unauthorized"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "FORBIDDEN",
"text": "Forbidden"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "NOT_FOUND",
"text": "Not found"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "TOO_MANY_REQUESTS",
"text": "Too many requests"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "GENERAL_ERROR",
"text": "Something went wrong. Please contact support."
}
}
}{
"requestError": {
"serviceException": {
"messageId": "<string>",
"text": "<string>"
}
}
}{
"requestError": {
"serviceException": {
"messageId": "<string>",
"text": "<string>"
}
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Name of the tag.
Body
application/jsonapplication/xml
List of people.
Show child attributes
Show child attributes
Response
successful response